Subject: Re: comments about temp-addresses-v2-00

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Wed, 03 Oct 2001 23:06:03 +0900

Hello, and sorry for the delayed response...

>>>>> On Wed, 19 Sep 2001 12:58:41 -0700, 
>>>>> "Richard Draves" <[email-masked]> said:

>> Our current implementation checks the duplication at the 
>> generation of actual addresses as well as at the generation 
>> of interface identifiers.

> In my implementation, I don't do any checks directly on the generated
> interface identifier. Instead when I create a temporary address, I check
> for known anycast addresses, collisions with existing addresses, etc. If
> there is a problem, then I generate a new interface identifier and
> repeat. This avoids any timing windows.

> This is not quite equivalent to what the draft specifies. For example
> suppose an interface A has an EUI-64 based interface identifier IDA and
> derived link-local address LIDA. Now interface B is using temporary
> addresses with global prefix P and happens to generate interface
> identifier IDA. Then my implementation will proceed to create a
> temporary address PIDA whereas the draft would prevent interface B from
> using IDA.

> Is there some reason that the more restrictive behavior specified in the
> draft is necessary?

Actually, I don't see any strong reason for the restrictive behavior
(and that's why I asked this question).  I implemented the spec this
way just for conformance.  So, if there is really no strong reason, I
guess the spec can be loosened.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------